* 19 Jan 2011
* WH Moore
* Filename: Tand2000GReplicationData19Jan11.do
**********************************************

capture log close
clear
* clear matrix
set more off
set mem 100m
set matsize 800
* cd "C:\Documents and Settings\Will\My Documents\Research\SPopLogit\Infidelity\StataFiles\"
cd "/home/will/Documents/Research/SPopLogit/Infidelity/StataFiles"

*use "C:\Documents and Settings\Will\My Documents\Data\InfidelityData\National Health and Social Life Survey 1992\06647-0001-Data.dta", clear
use "/home/will/Documents/Data/InfidelityData/National Health and Social Life Survey 1992/06647-0001-Data.dta", clear

log using "TandG2000ReplicationData19Jan11.log", replace


/*#####################*/
/* Create the Varables */
/*#####################*/

gen MARRIED=0
recode MARRIED 0=1 if MARST==2
tab MARRIED
label var MARRIED "Respondent Married"

gen RELIGIOUS=0
recode RELIGIOUS 0=1 if ATTEND>=6 & ATTEND~=.
tab RELIGIOUS
label var RELIGIOUS "Respondent Religious"

drop if ATTEND==9

factor SPENJA1 SPENJB1 SPENJC1 SPENJD1
predict Network
label var Network "Shared Network with SP"
corr SPENJA1 SPENJB1 SPENJC1 SPENJD1 Network

drop if FRANK==8
drop if FRANK==9

drop if THINKSEX==99
drop if THINKSEX==98
drop if THINKSEX==97
recode THINKSEX (6=0)

drop if HAPPY  ==7 | HAPPY ==8 | HAPPY ==9



/* SAQ2.11: EVSTRAY, see p. 537 of Codebook */
gen EvStray = EVSTRAY
recode EvStray 2=0 if NUMCOHAB==1
recode EvStray 2=. if NUMCOHAB~=1
recode EvStray 3=. if EVSTRAY==3
recode EvStray 6=1 if EVSTRAY==6
recode EvStray 7=. if EVSTRAY==7
recode EvStray 8=. if EVSTRAY==8
recode EvStray 9=. if EVSTRAY==9
/* T&G only included those married once */
 replace EvStray=. if EVSTRAY==1 & NUMCOHAB>=2 & NUMCOHAB~=.
label var EvStray "Married Once, had an Affair"
label define NoYes 0 "No" 1 "Yes"
label values EvStray NoYes

gen NonPermissive = EXMARSEX
replace NonPermissive=1 if EXMARSEX==4
replace NonPermissive=2 if EXMARSEX==3
replace NonPermissive=3 if EXMARSEX==2
replace NonPermissive=4 if EXMARSEX==1
replace NonPermissive=. if (EXMARSEX==7 | EXMARSEX==8 | EXMARSEX==9)

gen WorkOpp=0
replace WorkOpp=1 if (WKALONE==1 & WKTOUCH~=1 & WKDISCSS~=1) | (WKALONE~=1 & WKTOUCH==1 & WKDISCSS~=1) | (WKALONE~=1 & WKTOUCH~=1 & WKDISCSS==1)
replace WorkOpp=2 if (WKALONE==1 & WKTOUCH==1 & WKDISCSS~=1) | (WKALONE==1 & WKTOUCH~=1 & WKDISCSS==1) | (WKALONE~=1 & WKTOUCH==1 & WKDISCSS==1)
replace WorkOpp=3 if WKALONE==1 & WKTOUCH==1 & WKDISCSS==1
tab WorkOpp

gen Male=.
replace Male=0 if GENDER==2
replace Male=1 if GENDER==1

gen Black=0
replace Black=1 if RACE==2
tab Black


/*##############*/
/* Descriptives */
/*##############*/

sum EvStray THINKSEX NonPermissive P18S WorkOpp Network ATTEND Male Black ///
        EDLEVEL1 FRANK, detail
tab THINKSEX
tab NonPermissive
tab P18S
tab WorkOpp
tab ATTEND
tab EDLEVEL1



/*######################################*/
/* Create the Varables for the Gamma Eq */
/*######################################*/

drop if SYPHEV  ==7 | SYPHEV  ==8 | SYPHEV  ==9
drop if HERPESEV==7 | HERPESEV==8 | HERPESEV==9
drop if CLAMYDEV==7 | CLAMYDEV==8 | CLAMYDEV==9
drop if GWARTSEV==7 | GWARTSEV==8 | GWARTSEV==9
drop if HEPEV   ==7 | HEPEV   ==8 | HEPEV   ==9
drop if HIVEV   ==7 | HIVEV   ==8 | HIVEV   ==9
gen STDyes = 0
recode STDyes 0=1 if SYPHEV==1
recode STDyes 0=1 if HERPESEV==1
recode STDyes 0=1 if CLAMYDEV==1
recode STDyes 0=1 if GWARTSEV==1
recode STDyes 0=1 if HEPEV==1
recode STDyes 0=1 if HIVEV==1

drop if ONLOOKR6  ==7 | ONLOOKR6 ==8 | ONLOOKR6 ==9
drop if SEXLOVE   ==7 | SEXLOVE ==8 | SEXLOVE ==9
drop if EVPAIDSX  ==7 | EVPAIDSX ==8 | EVPAIDSX ==9
drop if JAIL      ==7 | JAIL ==8 | JAIL ==9
drop if ABORT     ==7 | ABORT ==8 | ABORT ==9
drop if GUILTSEX  ==7 | GUILTSEX ==8 | GUILTSEX==9
drop if EvStray==.

gen TabooYes=0
recode TabooYes 0=1 if EVPAIDSX==1
recode TabooYes 0=1 if JAIL==1
recode TabooYes 0=1 if ABORT==1
recode TabooYes 0=1 if STDyes==1
tab TabooYes



/*##############*/
/* Descriptives */
/*##############*/

sum ONLOOKR6 SEXLOVE EVPAIDSX JAIL ABORT STDyes TabooYes, detail

tab SEXLOVE
tab EVPAIDSX
tab JAIL
tab ABORT


keep   EvStray ///
       THINKSEX NonPermissive P18S WorkOpp Network ATTEND Male Black ///
       EDLEVEL1 ///
       FRANK ONLOOKR6 SEXLOVE EVPAIDSX JAIL ABORT STDyes TabooYes ///
       HAPPY GUILTSEX

sum
bysort EvStray: tab THINKSEX 
bysort EvStray: tab NonPermissive 
bysort EvStray: tab P18S 
bysort EvStray: tab WorkOpp 
bysort EvStray: tab ATTEND
bysort EvStray: tab Male 
bysort EvStray: tab Black 
bysort EvStray: tab EDLEVEL1 
bysort EvStray: tab FRANK 
bysort EvStray: tab ONLOOKR6 
bysort EvStray: tab SEXLOVE 
bysort EvStray: tab EVPAIDSX 
bysort EvStray: tab JAIL 
bysort EvStray: tab ABORT 
bysort EvStray: tab STDyes 
bysort EvStray: tab TabooYes
bysort EvStray: tab HAPPY 
bysort EvStray: tab GUILTSEX

sum    THINKSEX NonPermissive P18S WorkOpp Network ATTEND Male Black ///
       EDLEVEL1 ///
       FRANK ONLOOKR6 SEXLOVE EVPAIDSX JAIL ABORT STDyes TabooYes ///
       HAPPY GUILTSEX if EvStray == 0

sum    THINKSEX NonPermissive P18S WorkOpp Network ATTEND Male Black ///
       EDLEVEL1 ///
       FRANK ONLOOKR6 SEXLOVE EVPAIDSX JAIL ABORT STDyes TabooYes ///
       HAPPY GUILTSEX if EvStray == 1

saveold Tand2000GReplicationData19Jan11.dta, replace

******************
log close
exit
***************

