* 19 Jan 2011
* WH Moore
* Filename: Tand2000GReplicationLogit19Jan11.do
***********************************************

capture log close
clear
* clear matrix
set more off
set mem 100m
set matsize 800
* cd "C:\Documents and Settings\Will\My Documents\Research\SPopLogit\Infidelity\StataFiles\"
cd "/home/will/Documents/Research/SPopLogit/Infidelity/StataFiles"

use Tand2000GReplicationData19Jan11.dta, clear

log using "TandG2000ReplicationLogit19Jan11.log", replace



/*###################################*/
/* Treas & Giesen (2000) Logit Model */
/*###################################*/

logit EvStray THINKSEX NonPermissive P18S WorkOpp Network ATTEND Male Black ///
        EDLEVEL1 FRANK


/*##################*/
/* Marginal Effects */
/*##################*/

*## Marginal Effects @ Mean values of x ##*
*%% Continuous: ME_{x_i} = \partial E(y|x=x*)/\partial x_i  %%*
*%% Discrete: ME_{x_i} = E(y|x=x*, x_i=1) - E(y|x=x*, x_i=0)  %%*
mfx

*## Elasticities (1% increase in X produces what % change in Y?) ##*
*%% See pp. 333-42 of Cameron & Trivdei (2009) Microeconometrics Using Stata %%*
mfx, eyex varlist (THINKSEX P18S Network)

*## Semi-elasticities (1 unit increase in X produces what % change in Y?) ##*
*%% See pp. 333-42 of Cameron & Trivdei (2009) Microeconometrics Using Stata %%*
mfx, eydx





******************
log close
exit
******************

