** Split Population Logit
** First difference calculations in unobserved y and modifying equations.
** 01/2011
** Andreas Beger, Jacqueline H.R. Demeritt, Wonjae Hwang, and Will H. Moore


** To make this file work for your model, change the code in the sections
** marked with (C) to fit your model equation and variable names.
** Specific lines you need to change are marked with two slashes (//) at
** the end.

** (C) Load data.  Do this:  local data = "your filepath/your data.dta".
local data = "Simulations/fakedata.dta" //
use `data'

** (C) Specify and estimate spoplogit model.
spoplogit yobs_orig v1 v2, g(v3) //

** (C) Draw simulated coefficients for the model.
	drawnorm b1 b2 b0 g1 g0, n(1000) means(e(b)) cov(e(V)) clear //
	tempfile sim_betas
	save `sim_betas'

** (C) Set x values to something interesting.
	scalar v1 = 0.5 //
	scalar v2 = 2 //
	scalar v3 = 2 //

** (C) First difference in the latent equation.
	gen pr_ylat1 = invlogit(b0 + b1*scalar(v1) + b2*1) //
	gen pr_ylat2 = invlogit(b0 + b1*scalar(v1) + b2*2) //
	
	gen diff_ylat = pr_ylat2 - pr_ylat1
	sum diff_ylat
	centile diff_ylat, c(2.5 97.5)

** (C) First difference in the modifying equation.
	gen pr_mod1 = invlogit(g0 + g1*1) //
	gen pr_mod2 = invlogit(g0 + g1*2) //

	gen diff_mod = pr_mod2 - pr_mod1
	sum diff_mod
	centile diff_mod, c(2.5 97.5)


